{
  "schema_version": "1.4.0",
  "id": "GHSA-cpqh-mhhx-jwmj",
  "modified": "2022-05-02T00:06:28Z",
  "published": "2022-05-02T00:06:28Z",
  "aliases": [
    "CVE-2008-4064"
  ],
  "details": "Multiple unspecified vulnerabilities in Mozilla Firefox 3.x before 3.0.2 allow remote attackers to cause a denial of service (memory corruption and application crash) or possibly execute arbitrary code via vectors related to graphics rendering and (1) handling of a long alert messagebox in the cairo_surface_set_device_offset function, (2) integer overflows when handling animated PNG data in the info_callback function in nsPNGDecoder.cpp, and (3) an integer overflow when handling SVG data in the nsSVGFEGaussianBlurElement::SetupPredivide function in nsSVGFilters.cpp.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-4064"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.mozilla.org/show_bug.cgi?id=441368"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.mozilla.org/show_bug.cgi?id=441995"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.mozilla.org/show_bug.cgi?id=443693"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/45357"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11743"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-September/msg01335.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-10/msg00005.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31987"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32011"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32012"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32025"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32044"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32082"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32089"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32095"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32096"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32196"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34501"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2008&m=slackware-security.379422"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2008&m=slackware-security.412123"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-256408-1"
    },
    {
      "type": "WEB",
      "url": "http://www.mozilla.org/security/announce/2008/mfsa2008-42.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0879.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/31346"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1020916"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-645-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-645-2"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-647-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/2661"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/0977"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-09-24T20:37:00Z"
  }
}